Subject: bug#31888: 27.0.50; Segmentation fault in replace-buffer-contents

From: João Távora <[email-masked]>
Date: Mon, 25 Jun 2018 11:49:58 +0100

Eli Zaretskii <[email-masked]> writes:

>  I don't see how can we speed that up if we stay with
> the current idea of the function, and want to preserve text properties
> and overlays as much as possible.
>
> ... 
>
> I'm closing this bug; if someone has ideas for how to speed up the
> function significantly, please reopen, or file a new bug.

I'm using this function in my Eglot package, but only because of its
ability to preserve markers, not text properties. And only one marker in
particular, the point marker.  So I wonder if sth like a
replace-buffer-contents-no-properties could be added: according to your
analysis it could be significantly faster.

João